##################################################################
#
# Lynis spec file
# -----------------
#
# Usage:
# - Adjust version number (Version:)
# - rpmbuild -ba lynis.spec
#
# If RPM building fails, make sure you have required tools.
#
##################################################################
# http://www.rootkit.nl/
##################################################################

%define _includedir     /usr/share/lynis/include
%define _pluginsdir     /usr/share/lynis/plugins
%define _dbdir          /usr/share/lynis/db
%define _bindir         /usr/bin

Summary:                Security and system auditing tool
Name:                   lynis
Version:                1.2.6
Release:                1
License:                GPLv3
Group:                  Applications/System
Source:                 http://www.rootkit.nl/files/lynis-%{version}.tar.gz
#BuildRoot:             /tmp/lynis-root
URL:                    http://www.rootkit.nl/
Vendor:                 Michael Boelen <michael@rootkit.nl>
#Packager:              Michael Boelen <michael@rootkit.nl>
BuildArch:              noarch

%description
Lynis is a security and system auditing tool. It scans a system on the
most interesting parts useful for audits, like:
     - Security enhancements
     - Logging and auditing options
     - Banner identification
     - Software availability

Lynis is released as a GPL licensed project and free for everyone to use.

See http://www.rootkit.nl for a full description and documentation.

%prep
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"
mkdir $RPM_BUILD_ROOT

# Make directory with our name, instead of with version
#%setup -n lynis
%setup -q

#%patch

%build

%install
# Install profile
install -d ${RPM_BUILD_ROOT}/etc/lynis
install default.prf ${RPM_BUILD_ROOT}/etc/lynis
# Install binary
install -d ${RPM_BUILD_ROOT}/%{_bindir}
install lynis ${RPM_BUILD_ROOT}/%{_bindir}
# Install man page
install -d ${RPM_BUILD_ROOT}/%{_mandir}/man8
install lynis.8 ${RPM_BUILD_ROOT}/%{_mandir}/man8
# Install functions/includes
install -d ${RPM_BUILD_ROOT}%{_includedir}
install include/* ${RPM_BUILD_ROOT}%{_includedir}
# Install plugins
install -d ${RPM_BUILD_ROOT}%{_pluginsdir}
install plugins/* ${RPM_BUILD_ROOT}%{_pluginsdir}
# Install database files
install -d ${RPM_BUILD_ROOT}%{_dbdir}
install db/* ${RPM_BUILD_ROOT}%{_dbdir}


# Patch default paths (not required for 1.1.2+)
#sed -i -e 's#INCLUDEDIR="include"#INCLUDEDIR="%{_includedir}"#g' ${RPM_BUILD_ROOT}/usr/bin/lynis
#sed -i -e 's#PROFILE="default.prf"#PROFILE="/etc/lynis/default.prf"#g' ${RPM_BUILD_ROOT}/usr/bin/lynis

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
# Binaries
%{_bindir}/lynis
# Man page and docs
%doc CHANGELOG FAQ INSTALL LICENSE README
%doc %{_mandir}/man8/lynis.8.gz
# Default profile
/etc/lynis/default.prf
# Databases, functions, plugins
%{_dbdir}/*
%{_includedir}/*
%{_pluginsdir}/*


%changelog
* Mon Jun 16 2008 Michael Boelen - 1.1.5-1
- Fixed database dir variable and setup section

* Sat May 31 2008 Michael Boelen - 1.1.4-1
- Added _dbdir

* Sun May 11 2008 Michael Boelen - 1.1.2-1
- Added _pluginsdir, disabled patches

* Sat Mar 08 2008 Michael Boelen - 1.0.8-1
- initial .spec file

